<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rx_frame_arch Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classrx__frame.html">rx_frame</a></li><li class="navelem"><a class="el" href="classrx__frame_1_1rx__frame__arch.html">rx_frame_arch</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rx_frame_arch Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classrx__frame_1_1rx__frame__arch-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a32906b86f7c2c6d78995c9d111b4f4e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32906b86f7c2c6d78995c9d111b4f4e7"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a32906b86f7c2c6d78995c9d111b4f4e7">machine</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac48fd5cd7ee195a1564d2d4e519da540"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac48fd5cd7ee195a1564d2d4e519da540"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#ac48fd5cd7ee195a1564d2d4e519da540">PROCESS_107</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a90c6feb345dc934fa593b97d0db88bed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90c6feb345dc934fa593b97d0db88bed"></a>
<b><a class="el" href="classrx__frame_1_1rx__frame__arch.html#a90c6feb345dc934fa593b97d0db88bed">state_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">IDLE</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RX_DATA</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DLY</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:aecb902f93ee7c49aec4ad4721026834d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aecb902f93ee7c49aec4ad4721026834d"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#aecb902f93ee7c49aec4ad4721026834d">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_type</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac7904db2b210da4d29e856fc225bc833"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7904db2b210da4d29e856fc225bc833"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#ac7904db2b210da4d29e856fc225bc833">framebytenum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">65535</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a107d7f4471a487f16a3e4a9b18f57b3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a107d7f4471a487f16a3e4a9b18f57b3e"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a107d7f4471a487f16a3e4a9b18f57b3e">databytenum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a10cb36d4c8748c5235bddfdeebe35c79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10cb36d4c8748c5235bddfdeebe35c79"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a10cb36d4c8748c5235bddfdeebe35c79">len</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac80053a1817073bbb4a7c1e8297b87fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac80053a1817073bbb4a7c1e8297b87fd"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#ac80053a1817073bbb4a7c1e8297b87fd">cntvalsig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b3d35409e7c80df6b4a745de3977b22"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b3d35409e7c80df6b4a745de3977b22"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a1b3d35409e7c80df6b4a745de3977b22">mac_lentype</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa2f8e057d1a84eeb1d994b9b5da00771"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2f8e057d1a84eeb1d994b9b5da00771"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#aa2f8e057d1a84eeb1d994b9b5da00771">ip_version</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abcf8ce85454b25812b468c4af142aafa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abcf8ce85454b25812b468c4af142aafa"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#abcf8ce85454b25812b468c4af142aafa">ip_ihl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a17378d1833b2e2efd4e23effcb25f038"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17378d1833b2e2efd4e23effcb25f038"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a17378d1833b2e2efd4e23effcb25f038">ip_tos</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac550af00bfeab108412233c6e8c75129"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac550af00bfeab108412233c6e8c75129"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#ac550af00bfeab108412233c6e8c75129">ip_totallen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad57c7f2f7bce0901eafbd2132a171023"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad57c7f2f7bce0901eafbd2132a171023"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#ad57c7f2f7bce0901eafbd2132a171023">ip_ident</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3d0458f489be24a8736e973ad5a4279c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d0458f489be24a8736e973ad5a4279c"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a3d0458f489be24a8736e973ad5a4279c">ip_flags</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afc33dc81a6743c1b6a9c138c7d6c3f63"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc33dc81a6743c1b6a9c138c7d6c3f63"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#afc33dc81a6743c1b6a9c138c7d6c3f63">ip_fragoffset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4727ccf199331257ca3aad35a3d15709"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4727ccf199331257ca3aad35a3d15709"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a4727ccf199331257ca3aad35a3d15709">ip_ttl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a210783d7d8961386152d164d52389161"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a210783d7d8961386152d164d52389161"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a210783d7d8961386152d164d52389161">ip_protocol</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab130cbef44e48541e49b7909abe19e54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab130cbef44e48541e49b7909abe19e54"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#ab130cbef44e48541e49b7909abe19e54">ip_header_chksum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a907acfc3646cf310164570a7d1f43d1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a907acfc3646cf310164570a7d1f43d1c"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a907acfc3646cf310164570a7d1f43d1c">ip_src_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aea8c37160e70745b62180cc4e84c20a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea8c37160e70745b62180cc4e84c20a4"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#aea8c37160e70745b62180cc4e84c20a4">ip_dest_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab39c028bd23f040805580f51c6eb3b79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab39c028bd23f040805580f51c6eb3b79"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#ab39c028bd23f040805580f51c6eb3b79">udp_src_port</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4ae56cb70750f126e89e1557b9f240a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ae56cb70750f126e89e1557b9f240a9"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a4ae56cb70750f126e89e1557b9f240a9">udp_dest_port</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a354a4b0394e43028b164d6945d86d0c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a354a4b0394e43028b164d6945d86d0c2"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a354a4b0394e43028b164d6945d86d0c2">udp_len</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5b0dc76cdcaf43da1a6cd500c890ae8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b0dc76cdcaf43da1a6cd500c890ae8f"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a5b0dc76cdcaf43da1a6cd500c890ae8f">udp_chksum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7cf5dccd11f70206b31f41f911fb8428"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7cf5dccd11f70206b31f41f911fb8428"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a7cf5dccd11f70206b31f41f911fb8428">key</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a19e6c8aed2fe4923fc465f89f04b4797"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19e6c8aed2fe4923fc465f89f04b4797"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a19e6c8aed2fe4923fc465f89f04b4797">dest_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff5dd2b7e98801823945de677c20233f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff5dd2b7e98801823945de677c20233f"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#aff5dd2b7e98801823945de677c20233f">src_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa2593fa32b126725a50b35e176e862af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2593fa32b126725a50b35e176e862af"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#aa2593fa32b126725a50b35e176e862af">address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4974e3f95d42aa87c35bd46ad5742b9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4974e3f95d42aa87c35bd46ad5742b9d"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a4974e3f95d42aa87c35bd46ad5742b9d">data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a19d6ef42b9555564ea83955d69fcdde2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19d6ef42b9555564ea83955d69fcdde2"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a19d6ef42b9555564ea83955d69fcdde2">strb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a283a5f9ddb39bc94d2e9c2c7c69c12d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a283a5f9ddb39bc94d2e9c2c7c69c12d0"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a283a5f9ddb39bc94d2e9c2c7c69c12d0">strb_dly</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5a964dd7babaf0336721eb5c39b867a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a964dd7babaf0336721eb5c39b867a2"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a5a964dd7babaf0336721eb5c39b867a2">strb_resp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aefe4ccb10a1a00123dbe2ed199931df9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aefe4ccb10a1a00123dbe2ed199931df9"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#aefe4ccb10a1a00123dbe2ed199931df9">strb_resp_dly</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1604b00c7180dd0b79b8c51a1bc5724a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1604b00c7180dd0b79b8c51a1bc5724a"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a1604b00c7180dd0b79b8c51a1bc5724a">strb_resp_dly2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5a863ae94284c05d3d83f2f9e94b7f10"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a863ae94284c05d3d83f2f9e94b7f10"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a5a863ae94284c05d3d83f2f9e94b7f10">First_Packet_set</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5fb17b5c2e8471db04ddafd685ef6dee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5fb17b5c2e8471db04ddafd685ef6dee"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#a5fb17b5c2e8471db04ddafd685ef6dee">arp_IP_SRC</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abac8ea0afc2f3f336d5f1bba9e7267ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abac8ea0afc2f3f336d5f1bba9e7267ec"></a>
<a class="el" href="classrx__frame_1_1rx__frame__arch.html#abac8ea0afc2f3f336d5f1bba9e7267ec">arp_IP_DST</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="rx__frame_8vhd_source.html#l00062">62</a> of file <a class="el" href="rx__frame_8vhd_source.html">rx_frame.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/udp_io/<a class="el" href="rx__frame_8vhd_source.html">rx_frame.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:35 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
